Get attribute definitions

/pim/attribute-definitions Gets information about all attribute definitions.
Table 1. Details

Resource path

/api/core/v1/pim/attribute-definitions

HTTP method

GET

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Body parameters

No parameters required

Return Type
Responses
Table 2. Http response codes
Code Message Datatype

200

PimType with filled AttributeDefinitionsType

PimType

401

Not authorized

ResponseType

404

Not found

ResponseType

500

An unknown internal error occurred

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
To get a list of all attribute definitions
curl
curl --location --request GET 'http://<OMN_SERVER>/api/core/v1/pim/attribute-definitions' \
--header 'Authorization: Bearer <TOKEN>' \
--data-raw ''
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <attrDefs>
        <attrDef id="15210" tid="product_id" type="text">
            <name>
                <itm loc="en_EN">SKU product</itm>
                <itm loc="de_DE">SKU Produkt</itm>
            </name>
        </attrDef>
        <attrDef id="15219" tid="care_note" type="text">
            <domainVals allowNewValue="false" mode="FULL" sortDirection="MANUAL">
                <domainVal tid="Chlorine bleaching possible">
                    <itm loc="en_EN">Chlorine bleaching possible</itm>
                    <itm loc="de_DE">Chlorbleiche möglich</itm>
                </domainVal>
                ...
            </domainVals>
            <multiValued>true</multiValued>
            <name>
                <itm loc="en_EN">Care note</itm>
                <itm loc="de_DE">Pflegehinweis</itm>
            </name>
        </attrDef>
        ...
    </attrDefs>
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-12-23T07:20:36.916Z</itm>
        <itm key="sourceEnv">web</itm>
        <itm key="itemInformationType">attrDefinition</itm>
    </meta>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...